Eclipse Draw2d 3.7

## org.eclipse.draw2d
Interface IClippingStrategy

All Known Implementing Classes:
  ViewportAwareConnectionLayerClippingStrategy

    public interface IClippingStrategy

A clipping strategy used to specify the clipping region for child figures.

Since:
  3.6

Method Summary
`Rectangle[]` `getClip(IFigure childFigure)` Specifies the clipping region for the given child figure.

Method Detail

### getClip

    Rectangle[] getClip(IFigure childFigure)

  Specifies the clipping region for the given child figure. That is, all parts of the figure, which are not covered by one of the returned rectangles are masked out and will not get painted. Each returned rectangle is considered to be specified in coordinates relative to the given child figure's bounds.

  Parameters:
    `childFigure` - The child figure, which clipping region has to be returned.
  Returns:
    An array of rectangles to specify the clipping region of the figure, i.e. the areas in which the figure should not get clipped. May return an empty array in case the figure should not be visible at all, may not return `null`.

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.